 NOTE: Corrections or additions to the ChangeLog may be submitted to
       http://bugs.digium.com.  Documentation and formatting fixes are not
       not listed here.  A complete listing of changes is available through
       the Asterisk-CVS mailing list hosted at http://lists.digium.com.

Asterisk 1.0.10

 -- chan_local
    -- In releases 1.0.8 and 1.0.9, the Local channels that are created would
       not be masqueraded into the new channel type.  This has now been fixed.
 -- chan_sip
    -- The 'insecure' options have been changed to support matching peersby IP
       only, not requiring authentication on incoming invites, or both. Before,
       to not require authentication on incoming invites also required matching
       peers based on IP only.
 -- chan_zap
    -- Before, call waiting could occur during the initial ringing on the line.
       This has now been fixed.
 -- app_disa
    -- We will now not set the accountcode if one is not supplied. 
 -- app_meetme
    -- If the first caller into a conference hangs up while being prompted for
       the conference pin number, the conference will no longer be held open.
 -- app_userevent
    -- Events created with this application were indicated as a "call" event
       instead of a "user" event.  This made the "user" event permissions
       not work correctly.
 -- app_voicemail
    -- When using the externpass option for voicemail, the password will be
       immediately updated in memory as well, instead of having to wait for
       the next time the configuration is reloaded. 
 -- app_zapras
    -- We now ensure buffer policy is restored after RAS is done with a channel.
       This could cause audio problems on the channel after zapras is done
       with it. 
 -- res_agi
    -- We now unmask the SIGHUP signal before executing an AGI script.  This
       fixes problems where some AGI scripts would continue running long after
       the call is over.
 -- extensions
    -- A potential crash has been fixed when calling LEN() to get the length of
       a string that was 80 characters or larger.
 -- general
    -- Added man pages for astgenkey, autosupport, and safe_asterisk

Asterisk 1.0.9

 -- fix bug in callerid matching in the dialplan that was introduced in 1.0.8

Asterisk 1.0.8

 -- chan_zap
    -- Asterisk will now also look in the regular context for the fax extension
       while executing a macro.  Previously, for this to work, the fax extension
       would have to be included in the macro definition.
    -- On some systems, ALERTING will be sent after PROCEEDING, so code has been
       added to account for this case.
    -- If no extension is specified on an overlap call, the 's' extension will 
       be used.
 -- chan_sip
    -- We no longer send a "to" tag on "100 Trying" messages, as it is 
       inappropriate to do so.
    -- We now respond correctly to an invite for T.38 with a "488 Not acceptable
       here"
    -- We now discard saved tags on 401/407 responses in case the provider we're
       talking to tries to pull a dirty trick on us and change it.
    -- rtptimeout options will now be correctly set on a peer basis rather than
       only global
 -- chan_mgcp
    -- Fixed setting of accountcode
    -- Fixed where *67 to block callerid only worked for first call
 -- chan_agent
    -- We now will not pass audio until the agent has acked the call if the 
       configuration
       is set up for the agent to do so.
 -- chan_alsa
    -- Fixed problems with the unloading of this module
 -- res_agi
    -- A fix has been added to prevent calls from being hung up when more than 
       one call is executing an AGI script calling the GET DATA command.
    -- AGI scripts will now continue to run even if a file was not found with
       the GET DATA command.
    -- When calling SAY NUMBER with a number like 09, we will now say "nine" 
       instead of "zero"
 -- app_dial
    -- There was a problem where text frames would not be forwarded before the
       channel has been answered. 
 -- app_disa
    -- Fixed the timeout used when no password is set
 -- app_queue
    -- Distinctive ring has been fixed to work for queue members
  -- rtp
    -- Fixed a logic error when setting the "rtpchecksums" option
 -- say.c
    -- A problem has been fixed with saying the date in Spanish.
 -- Makefile
    -- A line was missing for the autosupport script that caused "make rpm" to 
       fail
 -- format_wav_gsm
    -- Fixed a problem with wav formatting that prevented files from being 
       played in some media players
 -- pbx_spool
    -- Fixed if the last line of text in a file for the call spool did not 
       contain a new line, it would not be processed
 -- logger
    -- Fixed the logger so that color escape sequences wouldn't be sent to the 
       logs
 -- format_sln
    -- A lot of changes were made to correctly handle signed linear format on
       big endian machines
 -- asterisk.conf
     -- fix 'highpriority' option for asterisk.conf

Asterisk 1.0.7

 -- chan_sip
    -- The fix for some codec availibility issues in 1.0.6 caused music on hold
       problems, but has now been fixed.
 -- chan_skinny
    -- A check has been added to avoid a crash.
 -- chan_iax2
    -- A feature has been added to CVS head to have the option of sending 
       timestamps with trunk frames.  It is not supported in 1.0, but a change 
       has been made so that it will at least not choke if sent trunk
       timestamps.
 -- app_voicemail
    -- Some checks have been added to avoid a crash.
 -- speex
    -- The path /usr/include/speex has been added for a place to look for the 
       speex header.

Asterisk 1.0.6

 -- chan_iax2:
    -- Fixed a bug dealing with a division by zero that could cause a crash
 -- chan_sip:
    -- Behavior was changed so that when a registration fails due to DNS 
       resolution issues, a retry will be attempted in 20 seconds.
    -- Peer settings were not reset to null values when reloading the 
       configuration file. Behavior has been changed so that these values are 
       now cleared.
    -- 'restrictcid' now properly works on MySQL peers.
    -- Only use the default callerid if it has been specified.
    -- Asterisk was not sending the same From: line in SIP messages during 
       certain times. Fixed to make sure it stays the same. This makes some 
       providers happier, to a working state.
    -- Certain circumstances involving a blank callerid caused asterisk to 
       segmentation fault.
    -- There was a problem incorrectly matching codec availablity when global 
       preferences were different from that of the user.  To fix this, 
       processing of SDP data has been moved to after determining who the call 
       is coming from.
    -- Asterisk would run out of RTP ports while waiting for SUBSCRIBE's to 
       expire even though an RTP port isn't needed in this case.  This has been
       fixed by releasing the ports early.
 -- chan_zap:
    -- During a certain scenario when using flash and '#' transfers you would 
       hear the other person and the music they were hearing. This has been 
       fixed.
    -- A fix for a compilation issue with gcc4 was added.
 -- chan_modem_bestdata:
    -- A fix for a compilation issue with gcc4 was added.
 -- format_g729:
    -- Treat a 10-byte read as an end of file indication instead of an error. 
       Some G729 encoders like to put 10-bytes at the end to indicate this.
 -- res_features:
    -- During certain situations when parking a call, both endpoints would get 
       musiconhold. This has been fixed so the individual who parked the call 
       will hear the digits and not musiconhold.
 -- app_dial:
    -- DIALEDPEERNUMBER is now being set, so if you attempted to use it in the 
       past and failed, it should work now.
    -- A callerid change caused many headaches, this has been reversed to the 
       original 1.0 behavior.
    -- A crash caused with the combination of the 'g' option and # transfer was
       fixed.
 -- app_voicemail:
    -- If two people hit the voicemail system at the same time, and were leaving
       a message the second message was overwriting the first. This has been 
       fixed so that each one is distinct and will not overwrite eachother.
 -- cdr_tds:
    -- If the server you were using was going down, it had the potential to 
       bring your asterisk server down with it. Extra stuff has been added so 
       as to bring in more error/connection checking.
 -- cdr_pgsql:
    -- This will now attempt to reconnect after a connection problem.
 -- IAXY firmware:
    -- This has been updated to version 23.  It includes a fix for lost
       registrations.
 -- internals
    -- Behavior was changed for 'show codec <number>' to make it more intuitive.
    -- DNS failures and asterisk do not get along too well, this is not totally
       the case anymore.
    -- Asterisk will now handle DNS failures at startup more gracefully, and 
       won't crash and burn
    -- Choosing to append to a wave file would render the outputted wave file 
       corrupt. Appending now works again.
    -- If you failed to define certain keys, asterisk had the potential to crash
       when seeing if you had used them.
    -- Attempting to use such things as ${EXTEN:-1} gave a wrong return value. 
       However, this was never a documented feature...

Asterisk 1.0.5

 -- chan_zap
    -- fix a callerid bug introduced in 1.0.4
 -- app_queue
    -- fix some penalty behavior

Asterisk 1.0.4

 -- general
    -- fix memory leak evident with extensive use of variables
    -- update IAXy firmware to version 22
       -- enable some special write protection
       -- enable outbound DTMF
    -- fix seg fault with incorrect usage of SetVar
    -- other minor fixes including typos and doc updates
 -- chan_sip
   -- fix codecs to not be case sensitive
   -- Re-use auth credentials
   -- fix MWI when using type=friend
   -- fix global NAT option
 -- chan_agent / chan_local
   -- fix incorrect use count
 -- chan_zap
   -- Allow CID rings to be configured in zapata.conf
      -- no more patching needed for UK CID
 -- app_macro 
    -- allow Macros to exit with '*' or '#' like regular extension processing
 -- app_voicemail
   -- don't allow '#' as a password
   -- add option to save voicemail before going to the operator
   -- fix global operator=yes
 -- app_read
   -- return 0 instead of -1 if user enters nothing
 -- res_agi
    -- don't exit AGI when file not found to stream
    -- send script parameter when using FastAGI
 
Asterisk 1.0.3

 -- chan_zap
    -- fix seg fault when doing *0 to flash a trunk
 -- rtp
    -- seg fault fix
 -- chan_sip
    -- fix to prevent seg fault when attempting a transfer
    -- fix bug with supervised transfers
    -- fix codec preferences
 -- chan_h323
    -- fix compilation problem
 -- chan_iax2
   -- avoid a deadlock related to a static config of a BUNCH of peers
 -- cdr_pgsql
    -- fix memory leak when reading config
 -- Numerous other minor bug fixes

Asterisk 1.0.2

 -- Major bugfix release

Asterisk 1.0.1

 -- Added AGI over TCP support
 -- Add ability to purge callers from queue if no agents are logged in
 -- Fix inband PRI indication detection
 -- Fix for MGCP - always request digits if no RTP stream
 -- Fixed seg fault for ast_control_streamfile
 -- Make pick-up extension configurable via features.conf 
 -- Numerous other bug fixes

Asterisk 1.0.0
 -- Use Q.931 standard cause codes for asterisk cause codes
 -- Bug fixes from the bug tracker
Asterisk 1.0-RC2 
 -- Additional CDR backends
 -- Allow muted to reconnect
 -- Call parking improvements (including SIP parking support)
 -- Added licensed hold music from opsound.org
 -- GR-303 and Zap improvements
 -- More bug fixes from the bug tracker
 -- Improved FreeBSD/OpenBSD/MacOS X support
Asterisk 1.0-RC1
 -- Innumerable bug fixes and features from the bug tracker
 -- Added Open Settlement Protocol (OSP) support
 -- Added Non-facility Associated Signalling (NFAS) Support
 -- Added alarm Monitoring support
 -- Added new MeetMe options
 -- Added GR-303 Support
 -- Added trunk groups
 -- ADPCM Standardization
 -- Numerous bug fixes
 -- Add IAX2 Firmware Support
 -- Add G.726 support
 -- Add ices/icecast support
 -- Numerous bug fixes
Asterisk 0.7.2
 -- Countless small bug fixes from bug tracker
 -- DSP Fixes
 -- Fix unloading of Zaptel
 -- Pass Caller*ID/ANI properly on call forwarding
 -- Add indication for Italy
Asterisk 0.7.1
 -- Fixed timed include context's and GotoIfTime
 -- Fixed chan_h323 it now gets remote ip properly instead of 127.0.0.1
Asterisk 0.7.0
 -- Removed MP3 format and codec
 -- Can now load and unload SIP,IAX,IAX2,H323 channels without core
 -- Fixed various compiler warnings and clean up source tree
 -- Preliminary AES Support
 -- Fix SIP REINVITE
 -- Outbound SIP registration behind NAT using externip
 -- More CLI documentation and clean up
 -- Pin numbers on MeeMe
 -- Dynamic MeetMe conferences are more consistent with static conferences
 -- Added channel variables ${HANGUPCAUSE}, ${SIPDOMAIN}, ${TIMESTAMP}, ${ACCONTCODE}
 -- ODBC support for logging CDRs
 -- Indications for Norway and New Zeland
 -- Major redesign of app_voicemail
 -- Syslog support
 -- Reload logfiles with CLI command 'logger reload' and rotate logs with "logger rotate'
 -- Configurable DEBUG, NOTICE, WARNING, ERROR and ast_verbose messages now appear on remote console 
 -- Properly reaping any zombie processes
 -- Added applications SayUnixTime, SetCDRUserField, HasNewVoicemail, ZapScan, Random, ResetCDR, NoCDR
 -- Make PRI Hangup Cause available to the dialplan
 -- Verify included contexts in extensions.conf
 -- Add DESTDIR support for building RPMs and packages
 -- Do route lookups on OpenBSD
 -- Add support for building on FreeBSD and OS X
 -- Add support for PostgreSQL in Voicemail
 -- Translate SIP hangup cause to PRI hangup cause where needed
 -- Better support for MOH in IAX2
 -- Fix SIP problem where channels were not removed on BYE
 -- Display codecs by name
 -- Remove MySQL and put PGSql instead for licensing reasons
 -- Better capability matching in SIP
 -- Full IBR4 compliance for chan_zap
 -- More flexible CDR handling
 -- Distinguish between BUSY and FAILURE on outbound calls
 -- Add initial support for SCCP via chan_skinny
 -- Better support for Future Group B signaling
Asterisk 0.5.0
 -- Retain IAX2 and SIP registrations past shutdown/crash and restart
 -- True data mode bridging when possible
 -- H.323 build improvements
 -- Agent Callback-login support
 -- RFC2833 Improvements
 -- Add thread debugging
 -- Add optional pedantic SIP checking for Pingtel
 -- Allow extension names, include context, switch to use global vars.
 -- Allow variables in extensions.conf to reference previously defined ones
 -- Merge voicemail enhancements (app_voicemail2)
 -- Add multiple queueing strategies
 -- Merge support for 'T'
 -- Allow pending agent calling (Agent/:1)
 -- Add groupings to agents.conf
 -- Add video support to IAX2
 -- Zaptel optimize playback
 -- Add video support to SIP
 -- Make RTP ports configurable
 -- Add RDNIS support to SIP and IAX2
 -- Add transfer app (implement in SIP and IAX2)
 -- Make voicemail segmentable by context (app_voicemail2)
 -- Major restructuring of voicemail (app_voicemail2)
 -- Add initial ENUM support
 -- Add malloc debugging support
 -- Add preliminary Voicetronix support
 -- Add iLBC codec
Asterisk 0.4.0
 -- Merge and edit Nick's FXO dial support
 -- Reengineer SIP registration (outbound)
 -- Support call pickup on SIP and compatibly with ZAP
 -- Support 302 Redirect on SIP
 -- Management interface improvements
 -- Add "hint" support
 -- Improve call forwarding using new "Local" channel driver.
 -- Add "Local" channel
 -- Substantial SIP enhancements including retransmissions
 -- Enforce case sensitivity on extension/context names
 -- Add monitor support (Thanks, Mahmut)
 -- Add experimental "trunk" option to IAX2 for high density VoIP
 -- Add experimental "debug channel" command
 -- Add 'C' flag to dial command to reset call detail record (handy for calling cards)
 -- Add NAT and dynamic support to MGCP
 -- Allow selection of in-band, out-of-band, or INFO based DTMF
 -- Add contributed "*80" support to blacklist numbers (Thanks James!)
 -- Add "NAT" option to sip user, peer, friend
 -- Add experimental "IAX2" protocol
 -- Change special variable "EXTEN-n" to "EXTEN:n" to follow Bash syntax
 -- Add "Enhanced" AGI with audio pass-through (voice recognition anyone?)
 -- Choose best priority from codec from allow/disallow
 -- Reject SIP calls to self
 -- Allow SIP registration to provide an alternative contact
 -- Make HOLD on SIP make use of asterisk MOH
 -- Add supervised transfer (tested with Pingtel only)
 -- Allow maxexpirey and defaultexpirey to be runtime configurable for SIP
 -- Preliminary codec 13 support (RFC3389)
 -- Add app_authenticate for general purpose authentication
 -- Optimize RTP and smoother
 -- Create special variable "EXTEN-n" where it is extension stripped by n MSD
 -- Fix uninitialized frame pointer in channel.c
 -- Add global variables support under [globals] of extensions.conf
 -- Add macro support (show application Macro)
 -- Allow [123-5] etc in extensions
 -- Allow format of App(arg1,arg2,...) instead of just App,arg1|arg2 in dialplan
 -- Add message waiting indicator to SIP
 -- Fix double free bug in channel.c
Asterisk 0.3.0
 -- Add fastfoward, rewind, seek, and truncate functions to streams
 -- Support registration
 -- Add G729 format
 -- Permit applications to return a digit indicating new extension
 -- Change "SHUTDOWN" to "STOP" in commands
 -- SIP "Hold" fixes and VXML URI support
 -- New chan_zap with 160 sample chunk size
 -- Add DTMF, MF, and Fax tone detector to dsp routines
 -- Allow overlap dialing (inbound) on PRI
 -- Enable tone detection with PRI
 -- Add special information tone detection
 -- Add Asterisk DB support
 -- Add pulse dialing
 -- Re-record all system prompts
 -- Change "timelen" to samples for better accuracy
 -- Move to editline, eliminating readline dependency
 -- Add peer "poke" support to SIP and IAX
 -- Add experimental call progress detection
 -- Add SIP authentication (digest)
 -- Add RDNIS
 -- Reroute faxes to "fax" extension
 -- Create ISDN/modem group concept
 -- Centralize indication
 -- Add initial MGCP support
 -- SIP debugging cleanup
 -- SIP reload
 -- SIP commands (show channels, etc)
 -- Add optional busy detection
 -- Add Visual Message Waiting Indicator (MDMF and SDMF)
 -- Add ambiguous extension matching
 -- Add *69
 -- Major SIP enhancements from SIPit
 -- Rewrite of ZAP CLASS features using subchannels
 -- Enhanced call parking
 -- Add extended outgoing spool support (pbx_spool)
Asterisk 0.2.0
 -- Outbound origination API
 -- Call management improvements
 -- Add Do Not Disturb (*78, *79)
 -- Add agents
 -- Document variables
 -- Add transfer capability on the console
 -- Add SpeeX codec translator
 -- Add call queues
 -- Add setcallerid functionality (AGI, application)
 -- Add special variables ${CALLERID}, ${EXTEN}, ${CONTEXT}, ${PRIORITY}
 -- Don't echo cancel on pure TDM connections by default
 -- Implement Async GOTO
 -- Differentiate softhangups
 -- Add date/time
Asterisk 0.1.12
 -- Fix for Big Endian machines
 -- MySQL CDR Engine
 -- Various SIP fixes and enhancements
 -- Add "zapateller application and arbitrary tone pairs
 -- Don't always start at "s"
 -- Separate linear mode for pseudo and real
 -- Add initial RTP and SIP support (no jitter buffer yet, unknown stability)
 -- Add 'h' extension, executed on hangup
 -- Add duration timer to message info
 -- Add web based voicemail checking ("make webvmail")
 -- Add ast_queue_frame function and eliminate frame pipes in most drivers
 -- Centralize host access (and possibly future ACL's)
 -- Add Caller*ID on PhoneJack (Thanks Nathan)
 -- Add "safe_asterisk" wrapper script to auto-restart Asterisk
 -- Indicate ringback on chan_phone
 -- Add answer confirmation (press '#' to confirm answer)
 -- Add distinctive ring support (e.g. Dial,Zap/4r2)
 -- Add ANSI/vt100 color support
 -- Make parking configurable through parking.conf
 -- Fix the empty voicemail problem
 -- Add Music On Hold
 -- Add ADSI Compiler (app_adsiprog)
 -- Extensive DISA re-work to improve tone generation
 -- Reset all idle channels every 10 minutes on a PRI
 -- Reset channels which are hungup with "channel in use"
 -- Implement VNAK support in chan_iax
 -- Fix chan_oss to support proper hangups and autoanswer
 -- Make shutdown properly hangup channels
 -- Add idling capability to chan_zap for idle-net
 -- Add "MeetMe" conferencing app (app_meetme)
 -- Add timing information to include
Asterisk 0.1.11
 -- Add ISDN RAS capability
 -- Add stutter dialtone to Chan Zap
 -- Add "#include" capability to config files.
 -- Add call-forward variable to Chan Zap (*72, *73)
 -- Optimize IAX flow when transfer isn't possible
 -- Allow transmission of ANI over IAX
Asterisk 0.1.10
 -- Make ast_readstring parameter be the max # of digits, not the max size with \0
 -- Make up any missing messages on the fly
 -- Add support for specific DTMF interruption to saying numbers
 -- Add new "u" and "b" options to condense busy/unavail handling
 -- Add support for RSA authentication on IAX calls
 -- Add support for ADSI compatible CPE
 -- Outgoing call queue
 -- Remote dialplan fixes for Quicknet
 -- Added AGI commands supporting TDD functions (RECEIVE CHAR & TDD MODE)
 -- Added TDD support (send/receive text in chan_zap)
 -- Fix all strncpy references
 -- Implement CSV CDR backend
 -- Implement Call Detail Records
Asterisk 0.1.9
 -- Implement IAX quelching
 -- Allow Caller*ID to be overridden and suggested
 -- Configure defaults to use IAXTEL
 -- Allow remote dialplan polling via IAX
 -- Eliminate ast_longest_extension
 -- Implement dialplan request/reply
 -- Let peers have allow/disallow for codecs
 -- Change allow/deny to permit/deny in IAX
 -- Allow dialplan entries to match Caller*ID as well
 -- Added AGI (Asterisk Gateway Interface) scripting interface (app_agi)
 -- Added chan_zap for zapata telephony kernel interface, removed chan_tor
 -- Add convenience functions
 -- Fix race condition in channel hangup
 -- Fix memory leaks in both asterisk and iax frame allocations
 -- Add "iax show stats" command and -DTRACE_FRAMES (for frame tracing)
 -- Add DISA application (Thanks to Jim Dixon)
 -- Add IAX transfer support
 -- Add URL and HTML transmission
 -- Add application for sending images
 -- Add RedHat RPM spec file and build capability
 -- Fix GSM WAV file format bug
 -- Move ignorepat to main dialplan
 -- Add ability to specificy TOS bits in IAX
 -- Allow username:password in IAX strings
 -- Updates to PhoneJack interface
 -- Allow "servermail" in voicemail.conf to override e-mail in "from" line
 -- Add 'skip' option to app_playback
 -- Reject IAX calls on unknown extensions
 -- Fix version stuff
Asterisk 0.1.8
 -- Keep track of version information
 -- Add -f to cause Asterisk not to fork
 -- Keep important information in voicemail .txt file
 -- Adtran Voice over Frame Relay updates
 -- Implement option setting/querying of channel drivers
 -- IAX performance improvements and protocol fixes
 -- Substantial enhancement of console channel driver
 -- Add IAX registration.  Now IAX can dynamically register
 -- Add flash-hook transfer on tormenta channels
 -- Added Three Way Calling on tormenta channels
 -- Start on concept of zombie channel
 -- Add Call Waiting CallerID
 -- Keep track of who registeres contexts, includes, and extensions
 -- Added Call Waiting(tm), *67, *70, and *82 codes
 -- Move parked calls into "parkedcalls" context by default
 -- Allow dialplan to be displayed
 -- Allow "=>" instead of just "=" to make instantiation clearer
 -- Asterisk forks if called with no arguments
 -- Add remote control by running asterisk -vvvc
 -- Adjust verboseness with "set verbose" now
 -- No longer requires libaudiofile
 -- Install beep
 -- Make PBX Config module reload extensions on SIGHUP
 -- Allow modules to be reloaded when SIGHUP is received
 -- Variables now contain line numbers
 -- Make dialer send in band signalling
 -- Add record application
 -- Added PRI signalling to Tormenta driver
 -- Allow use of BYEXTENSION in "Goto"
 -- Allow adjustment of gains on tormenta channels
 -- Added raw PCM file format support
 -- Add U-law translator
 -- Fix DTMF handling in bridge code
 -- Fix access control with IAX
* Asterisk 0.1.7
 -- Update configuration files and add some missing sounds
 -- Added ability to include one context in another
 -- Rewrite of PBX switching
 -- Major mods to dialler application
 -- Added Caller*ID spill reception
 -- Added Dialogic VOX file format support
 -- Added ADPCM Codec
 -- Add Tormenta driver (RBS signalling)
 -- Add Caller*ID spill creation
 -- Rewrite of translation layer entirely
 -- Add ability to run PBX without additional thread
* Asterisk 0.1.6
 -- Make app_dial handle a lack of translators smoothly
 -- Add ISDN4Linux support -- dtmf is weird...
 -- Minor bug fixes
* Asterisk 0.1.5
 -- Fix a small mistake in IAX
 -- Fix the QuickNet driver to work with newer cards
* Asterisk 0.1.4
 -- Update VoFR some more
 -- Fix the QuickNet driver to work with LineJack
 -- Add ability to pass images for IAX.
* Asterisk 0.1.3
 -- Update VoFR for latest sangoma code
 -- Update QuickNet Driver
 -- Add text message handling
 -- Fix transfers to use "default" if not in current context
 -- Add call parking
 -- Improve format/content negotiation
 -- Added support for multiple languages
 -- Bug fixes, as always...
* Asterisk 0.1.2
 -- Updated README file with a "Getting Started" section
 -- Added sample sounds and configuration files.
 -- Added LPC10 very low bandwidth (low quality) compression
 -- Enhanced translation selection mechanism.
 -- Enhanced IAX jitter buffer, improved reliability
 -- Support echo cancelation on PhoneJack
 -- Updated PhoneJack driver to std. Telephony interface
 -- Added app_echo for evaluating VoIP latency
 -- Added app_system to execute arbitrary programs
 -- Updated sample configuration files
 -- Added OSS channel driver (full duplex only)
 -- Added IAX implementation
 -- Fixed some deadlocks.
 -- A whole bunch of bug fixes
* Asterisk 0.1.1
 -- Revised translator, fixed some general race conditions throughout *
 -- Made dialer somewhat more aware of incompatible voice channels
 -- Added Voice Modem driver and A/Open Modem Driver stub
 -- Added MP3 decoder channel
 -- Added Microsoft WAV49 support
 -- Revised License -- Pure GPL, nothing else
 -- Modified Copyright statement since code is still currently owned by author
 -- Added RAW GSM headerless data format
 -- Innumerable bug fixes
* Asterisk 0.1.0
 -- Initial Release
